Jeu de démonstration d’Unity 4 sur Linux

By | 20 septembre 2012

Unity 4 est encore en beta mais une fonctionnalité très attendue est de pouvoir créer des binaires exécutables sous Linux depuis l’éditeur de jeu.

L’éditeur est livré avec un petit jeu de démonstration « Angrybots » et l’on peut déja s’amuser avec les versions compilées pour Linux :

Sachez qu’Angrybots est aussi disponible sur Android.

Vous pourrez rencontrer le problème suivant à l’exécution si vous avez une vieille distribution (Ex : Debian Squeeze, Ubuntu 10.04) :

./AngryBots: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.14′ not found (required by ./AngryBots)

Cela veut dire que la  librairie libstdc++ présente sur votre système n’est pas assez à jour pour faire fonctionner le programme. Qu’à cela ne tienne on va utiliser une nouvelle version de celle-ci sans casser notre belle distribution. Pour cela, on va télécharger la nouvelle version de la librairie depuis les dépôts Wheezy :

Décompressez les dans un répertoire. La structure est du type :

  • usr
  • |- lib
  • —|- libstdc++.so.6.0.15
  • —|- libstdc++.so.6

Copiez les fichiers contenu dans le répertoire « lib » vers le répertoire contenant votre exécutable Angrybots.

Ouvre un terminal, placez vous dans le répertoire de l’exécutable Angrybots et contenant maintenant nos fichiers supplémentaires puis tapez ceci :

$ export LD_LIBRARY_PATH="`pwd`:$LD_LIBRARY_PATH"
$ chmod +x AngryBots
$ ./AngryBots

(Astuce : Pour vérifier toutes les dépendances d’un programme, lancer cette commande : $ ldd monexecutable)

 

J'aime(0)Ferme-la !(0)

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée.